Linux maintainer tooling and workflows
 help / color / Atom feed
* Exception with b4 am
@ 2020-11-23 12:41 Mark Brown
  2020-11-23 14:49 ` Konstantin Ryabitsev
  0 siblings, 1 reply; 5+ messages in thread
From: Mark Brown @ 2020-11-23 12:41 UTC (permalink / raw)
  To: tools, konstantin


[-- Attachment #1: Type: text/plain, Size: 2173 bytes --]

When running current master on Debian stable if I invoke:

   b4 am -P 59 c0efb81064f71837f19408f65b52d155103ee514.1605896059.git.gustavoars@kernel.org 

I get the traceback below unless I remove python3-dkim:

Looking up https://lore.kernel.org/r/c0efb81064f71837f19408f65b52d155103ee514.1605896059.git.gustavoars%40kernel.org
Grabbing thread from lore.kernel.org/linux-hardening
Analyzing 212 messages in the thread
---
Writing ./20201120_gustavoars_fix_fall_through_warnings_for_clang.mbx
Traceback (most recent call last):
  File "/home/broonie/git/b4/b4/command.py", line 220, in <module>
    cmd()
  File "/home/broonie/git/b4/b4/command.py", line 203, in cmd
    cmdargs.func(cmdargs)
  File "/home/broonie/git/b4/b4/command.py", line 40, in cmd_am
    b4.mbox.main(cmdargs)
  File "/home/broonie/git/b4/b4/mbox.py", line 511, in main
    mbox_to_am(threadmbox, cmdargs)
  File "/home/broonie/git/b4/b4/mbox.py", line 117, in mbox_to_am
    linkmask=config['linkmask'], cherrypick=cherrypick)
  File "/home/broonie/git/b4/b4/__init__.py", line 532, in save_am_mbox
    if latt and latt.validate(lmsg.msg):
  File "/home/broonie/git/b4/b4/__init__.py", line 1812, in validate
    self.lsig = LoreAttestationSignatureDKIM(msg)
  File "/home/broonie/git/b4/b4/__init__.py", line 1639, in __init__
    if not dkim.verify(self.msg.as_bytes(), dnsfunc=dkim_get_txt):
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 1291, in verify
    return d.verify(dnsfunc=dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 888, in verify
    return self.verify_sig(sig, include_headers, sigheaders[idx], dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 677, in verify_sig
    pk, self.keysize, ktag = load_pk_from_dns(name, dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 423, in load_pk_from_dns
    s = dnsfunc(name)
  File "/home/broonie/git/b4/b4/__init__.py", line 2347, in dkim_get_txt
    a = _resolver.resolve(lookup, dns.rdatatype.TXT, raise_on_no_answer=False, lifetime=timeout, search=True)
AttributeError: 'Resolver' object has no attribute 'resolve'

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 499 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: Exception with b4 am
  2020-11-23 12:41 Exception with b4 am Mark Brown
@ 2020-11-23 14:49 ` Konstantin Ryabitsev
  2020-11-23 16:50   ` [tools] " Mark Brown
  0 siblings, 1 reply; 5+ messages in thread
From: Konstantin Ryabitsev @ 2020-11-23 14:49 UTC (permalink / raw)
  To: Mark Brown; +Cc: tools


[-- Attachment #1: Type: text/plain, Size: 416 bytes --]

On Mon, Nov 23, 2020 at 12:41:39PM +0000, Mark Brown wrote:
> When running current master on Debian stable if I invoke:
> 
>    b4 am -P 59 c0efb81064f71837f19408f65b52d155103ee514.1605896059.git.gustavoars@kernel.org 
> 
> I get the traceback below unless I remove python3-dkim:

Right, looks like Debian pulls in an older dnspython version. The latest 
commit I just pushed should work with either.

-K

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 235 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [tools] Exception with b4 am
  2020-11-23 14:49 ` Konstantin Ryabitsev
@ 2020-11-23 16:50   ` Mark Brown
  2020-11-23 18:01     ` Konstantin Ryabitsev
  0 siblings, 1 reply; 5+ messages in thread
From: Mark Brown @ 2020-11-23 16:50 UTC (permalink / raw)
  To: tools, konstantin


[-- Attachment #1: Type: text/plain, Size: 2611 bytes --]

On Mon, Nov 23, 2020 at 09:49:20AM -0500, Konstantin Ryabitsev wrote:
> On Mon, Nov 23, 2020 at 12:41:39PM +0000, Mark Brown wrote:

> > I get the traceback below unless I remove python3-dkim:

> Right, looks like Debian pulls in an older dnspython version. The latest 
> commit I just pushed should work with either.

That fixes the immediate issue but there's more issues with old Python
stuff:

Looking up https://lore.kernel.org/r/1606148273-17325-1-git-send-email-srivasam%40codeaurora.org
Grabbing thread from lore.kernel.org/alsa-devel
Analyzing 1 messages in the thread
---
Writing /tmp/fileDuDx9o.mbx
Traceback (most recent call last):
  File "/home/broonie/git/b4/b4/__init__.py", line 2347, in dkim_get_txt
    a = _resolver.resolve(lookup, dns.rdatatype.TXT, raise_on_no_answer=False, lifetime=timeout, search=True)
AttributeError: 'Resolver' object has no attribute 'resolve'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/broonie/git/b4/b4/command.py", line 220, in <module>
    cmd()
  File "/home/broonie/git/b4/b4/command.py", line 203, in cmd
    cmdargs.func(cmdargs)
  File "/home/broonie/git/b4/b4/command.py", line 40, in cmd_am
    b4.mbox.main(cmdargs)
  File "/home/broonie/git/b4/b4/mbox.py", line 511, in main
    mbox_to_am(threadmbox, cmdargs)
  File "/home/broonie/git/b4/b4/mbox.py", line 117, in mbox_to_am
    linkmask=config['linkmask'], cherrypick=cherrypick)
  File "/home/broonie/git/b4/b4/__init__.py", line 532, in save_am_mbox
    if latt and latt.validate(lmsg.msg):
  File "/home/broonie/git/b4/b4/__init__.py", line 1812, in validate
    self.lsig = LoreAttestationSignatureDKIM(msg)
  File "/home/broonie/git/b4/b4/__init__.py", line 1639, in __init__
    if not dkim.verify(self.msg.as_bytes(), dnsfunc=dkim_get_txt):
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 1291, in verify
    return d.verify(dnsfunc=dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 888, in verify
    return self.verify_sig(sig, include_headers, sigheaders[idx], dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 677, in verify_sig
    pk, self.keysize, ktag = load_pk_from_dns(name, dnsfunc)
  File "/usr/lib/python3/dist-packages/dkim/__init__.py", line 423, in load_pk_from_dns
    s = dnsfunc(name)
  File "/home/broonie/git/b4/b4/__init__.py", line 2358, in dkim_get_txt
    _DKIM_DNS_CACHE[name] = dkim.dnsplug.get_txt(name, timeout)
TypeError: get_txt() takes 1 positional argument but 2 were given

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 499 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [tools] Exception with b4 am
  2020-11-23 16:50   ` [tools] " Mark Brown
@ 2020-11-23 18:01     ` Konstantin Ryabitsev
  2020-11-23 18:13       ` Mark Brown
  0 siblings, 1 reply; 5+ messages in thread
From: Konstantin Ryabitsev @ 2020-11-23 18:01 UTC (permalink / raw)
  To: Mark Brown; +Cc: tools

On Mon, Nov 23, 2020 at 04:50:52PM +0000, Mark Brown wrote:
> On Mon, Nov 23, 2020 at 09:49:20AM -0500, Konstantin Ryabitsev wrote:
> > On Mon, Nov 23, 2020 at 12:41:39PM +0000, Mark Brown wrote:
> 
> > > I get the traceback below unless I remove python3-dkim:
> 
> > Right, looks like Debian pulls in an older dnspython version. The latest 
> > commit I just pushed should work with either.
> 
> That fixes the immediate issue but there's more issues with old Python
> stuff:

Thanks for testing it out again. I believe I have a better fix in place 
now, if you're willing to try it out one more time.

-K

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [tools] Exception with b4 am
  2020-11-23 18:01     ` Konstantin Ryabitsev
@ 2020-11-23 18:13       ` Mark Brown
  0 siblings, 0 replies; 5+ messages in thread
From: Mark Brown @ 2020-11-23 18:13 UTC (permalink / raw)
  To: tools, konstantin


[-- Attachment #1: Type: text/plain, Size: 388 bytes --]

On Mon, Nov 23, 2020 at 01:01:01PM -0500, Konstantin Ryabitsev wrote:
> On Mon, Nov 23, 2020 at 04:50:52PM +0000, Mark Brown wrote:

> > That fixes the immediate issue but there's more issues with old Python
> > stuff:

> Thanks for testing it out again. I believe I have a better fix in place 
> now, if you're willing to try it out one more time.

That seems to work, thanks!

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 499 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, back to index

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-11-23 12:41 Exception with b4 am Mark Brown
2020-11-23 14:49 ` Konstantin Ryabitsev
2020-11-23 16:50   ` [tools] " Mark Brown
2020-11-23 18:01     ` Konstantin Ryabitsev
2020-11-23 18:13       ` Mark Brown

Linux maintainer tooling and workflows

Archives are clonable:
	git clone --mirror https://lore.kernel.org/tools/0 tools/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 tools tools/ https://lore.kernel.org/tools \
		tools@linux.kernel.org
	public-inbox-index tools

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://nntp.lore.kernel.org/org.kernel.linux.tools


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git